﻿@model JavnaNabava.Model.Konzorcij

@{
    ViewData["Title"] = "Dodaj konzorcij";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Dodaj novi konzorcij</h1>

<p>
    <small>
        Stranica prikazuje formu za dodavanje novog konzorcija u bazu podataka. Pomoću validacije je ostvareno da su sva polja obavezna. 
        Oib se mora sastojati od točno 11 znamenki. Slova se uopće ni ne mogu upisati u polje. Polje Mjesto i polje Vrsta konzorcija su strani ključevi te 
        su ponuđeni u obliku padajućih izbornika.
        Na dnu se nalaze gumbi za dodavanje i odustajanje. 
        Nakon što dodamo novi konzorcij, bit ćete preusmjereni na početni popis konzorcija uz poruku da je konzorcij uspješno dodan ukoliko je dodan te
        da nije dodan ukoliko se dogodio error.
    </small>
</p>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="CreateKonzorcijForm">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Oib" class="control-label"></label>
                <input type="number" asp-for="Oib" class="form-control" />
                <span asp-validation-for="Oib" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Naziv" class="control-label"></label>
                <input asp-for="Naziv" class="form-control" />
                <span asp-validation-for="Naziv" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="AdresaSjedista" class="control-label"></label>
                <input asp-for="AdresaSjedista" class="form-control" />
                <span asp-validation-for="AdresaSjedista" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="FkMjesto" class="control-label"></label>
                <select asp-for="FkMjesto" class ="form-control" asp-items="ViewBag.FkMjesto">
                    <option selected value="" disabled >Odaberite mjesto</option>
                </select>
            </div>
            <div class="form-group">
                <label asp-for="FkVrstaKonzorcija" class="control-label"></label>
                <select asp-for="FkVrstaKonzorcija" class="form-control" asp-items="ViewBag.FkVrstaKonzorcija">
                    <option selected value="" disabled>Odaberite vrstu konzorcija</option>
                </select>
            </div>
            <div class="form-group">
                <button asp-action="ProcessCreate" class="btn btn-primary" type="submit">Dodaj</button>
                <a asp-action="Index" class="btn btn-secondary">Odustani</a>
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Natrag na popis</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
